* { box-sizing: border-box; }

body {
    background-color: #0f172a;
    color: white;
    font-family: 'Segoe UI', sans-serif;
    margin: 0;
}

header {
    text-align: center;
    padding: 50px;
    background: linear-gradient(to right, #3DDC84, #10b981);
    color: #0f172a;
}

/*línea central */
.timeline {
    position: relative;
    max-width: 1000px;
    margin: 50px auto;
}

/* El poste de la línea */
.timeline::after {
    content: '';
    position: absolute;
    width: 6px;
    background-color: #3DDC84;
    top: 0; bottom: 0; left: 50%;
    margin-left: -3px;
    box-shadow: 0 0 15px #3ddc8488;
}

/* Contenedores de las tarjetas */
.contenedor {
    padding: 10px 40px;
    position: relative;
    width: 50%;
}

/* Flechas y posición */
.izquierda { left: 0; text-align: right; }
.derecha { left: 50%; text-align: left; }

/* Los círculos en la línea */
.contenedor::after {
    content: '';
    position: absolute;
    width: 20px; height: 20px;
    right: -10px; background-color: #fff;
    border: 4px solid #3DDC84;
    top: 15px; border-radius: 50%; z-index: 1;
}

.derecha::after { left: -10px; }

.tarjeta {
    background: #1e293b;
    padding: 20px;
    border-radius: 15px;
    cursor: pointer;
    transition: 0.4s;
    border: 1px solid #334155;
}

.tarjeta:hover {
    transform: translateY(-10px);
    border-color: #3DDC84;
    box-shadow: 0 10px 20px rgba(61, 220, 132, 0.2);
}

.fecha {
    color: #3DDC84;
    font-weight: bold;
    font-size: 1.2rem;
}

button {
    margin-top: 10px;
    background: transparent;
    border: 1px solid #3DDC84;
    color: #3DDC84;
    padding: 5px 15px;
    border-radius: 5px;
    cursor: pointer;
}

/* MODAL ESTILIZADO */
.modal {
    display: none;
    position: fixed;
    z-index: 10;
    left: 0; top: 0; width: 100%; height: 100%;
    background-color: rgba(0,0,0,0.85);
    backdrop-filter: blur(5px);
}

.contenido-modal {
    background: #1e293b;
    margin: 15% auto;
    padding: 30px;
    width: 40%;
    border-radius: 20px;
    border: 2px solid #3DDC84;
    text-align: center;
    color: white;
}

.btn-cerrar {
    background: #3DDC84;
    color: #0f172a;
    font-weight: bold;
    margin-top: 20px;
}